Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5117)
@@ -55,11 +55,11 @@
   ! +  ================
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VAR0SV
-  use VARxSV
-  use VARySV
-  use surface_data, ONLY: is_ok_slush,opt_runoff_ac
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VAR0SV
+  USE VARxSV
+  USE VARySV
+  USE surface_data, ONLY: is_ok_slush,opt_runoff_ac
 
 
@@ -358,5 +358,5 @@
 
   !XF
-      IF(ro__SV(ikl,isn) >= roCdSV.and.ro__SV(ikl,1)<900) &
+      IF(ro__SV(ikl,isn) >= roCdSV.AND.ro__SV(ikl,1)<900) &
             PClose = min(0.50,PClose * &
             (1.-(ro_ice-ro__SV(ikl,isn))/(ro_ice-roCdSV)))
@@ -369,6 +369,6 @@
       endif
 
-      IF(drr_SV(ikl)    >0  .and.TsisSV(ikl,isn)>273.14) THEN
-       if((ro__SV(ikl,isn)>900.and.ro__SV(ikl,isn)<920).or. &
+      IF(drr_SV(ikl)    >0  .AND.TsisSV(ikl,isn)>273.14) THEN
+       IF((ro__SV(ikl,isn)>900.AND.ro__SV(ikl,isn)<920).OR. &
              ro__SV(ikl,isn)>950) THEN
          dzsnSV(ikl,isn) = dzsnSV(ikl,isn)*ro__SV(ikl,isn)/ro_ice
@@ -378,14 +378,14 @@
       endif
 
-      ! if (isn>1.and.isn<nsno     .and.
-  !    .      ro__SV(ikl,isn-1)>900    .and.
-  !    .      ro__SV(ikl,isn)  >roCdSV .and.
-  !    .      ro__SV(ikl,isn)  <900    .and.
-  !    .      TsisSV(ikl,isn)  >273.14 .and.
-  !    .      TsisSV(ikl,isn+1)<273.15 .and.
+      ! if (isn>1.AND.isn<nsno     .AND.
+  !    .      ro__SV(ikl,isn-1)>900    .AND.
+  !    .      ro__SV(ikl,isn)  >roCdSV .AND.
+  !    .      ro__SV(ikl,isn)  <900    .AND.
+  !    .      TsisSV(ikl,isn)  >273.14 .AND.
+  !    .      TsisSV(ikl,isn+1)<273.15 .AND.
   !    .      drr_SV(ikl)      >0)     THEN
       !  TsisSV(ikl,isn)=273.14
       !  PClose = 1
-      ! endif
+      ! END IF
 
   !XF
@@ -526,6 +526,6 @@
 
      IF(zt<0.005+(TaT_SV(ikl)-TfSnow)/1000..and. &
-           isnoSV(ikl)             >0         .and. &
-           TaT_SV(ikl)             >=TfSnow   .and. &
+           isnoSV(ikl)             >0         .AND. &
+           TaT_SV(ikl)             >=TfSnow   .AND. &
            istoSV(ikl,isnoSV(ikl)) >1       ) THEN
       DO isn=1,isnoSV(ikl)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90	(revision 5117)
@@ -85,10 +85,10 @@
   ! +  ================
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VAR0SV
-  use VARxSV
-  use VARySV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VAR0SV
+  USE VARxSV
+  USE VARySV
 
 
@@ -377,5 +377,5 @@
       ikp      = nkhy *  eta_SV(ikl,isl+1) / etadSV(ist)
 
-      IF(ikm<0.or.ik0<0.or.ikp<0)THEN
+      IF(ikm<0.OR.ik0<0.OR.ikp<0)THEN
        print *,"CRASH1 in sisvat_qso.f on pixel (i,j,n)", &
              ii__SV(ikl),jj__SV(ikl),nn__SV(ikl)
@@ -423,5 +423,5 @@
       ikp      = nkhy *  eta_SV(ikl,isl+1) / etadSV(ist)
 
-      IF(ik0<0.or.ikp<0)THEN
+      IF(ik0<0.OR.ikp<0)THEN
        print *,"CRASH2 in sisvat_qso.f on pixel (i,j,n)", &
              ii__SV(ikl),jj__SV(ikl),nn__SV(ikl)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5117)
@@ -61,10 +61,10 @@
 
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VARxSV
-  use VARySV
-  use VARtSV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VARxSV
+  USE VARySV
+  USE VARtSV
   USE surface_data, ONLY: iflag_albcalc,correc_alb
 
@@ -464,6 +464,6 @@
     ! prescription for each time step with NEMO values
 
-  ! #AO      if (LSmask(ikl) .eq. 0 .and. coupling_ao .eq. .TRUE.) THEN
-  ! #AO       if (AOmask(ikl) .eq. 0) THEN
+  ! #AO      if (LSmask(ikl) .EQ. 0 .AND. coupling_ao .EQ. .TRUE.) THEN
+  ! #AO       if (AOmask(ikl) .EQ. 0) THEN
   ! #AO       albisv(ikl) =  (1.-AOmask(ikl))* albAOsisv(ikl)
   ! #AO.                    +(AOmask(ikl)*albisv(ikl))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5117)
@@ -71,11 +71,11 @@
   ! +  ================
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VARxSV
-  use VARySV
-  use VARtSV
-  use VAR0SV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VARxSV
+  USE VARySV
+  USE VARtSV
+  USE VAR0SV
 
 
@@ -615,5 +615,5 @@
       TsisSV(ikl,isl)   = Aux__Q(ikl,isl)  *TsisSV(ikl,isl+1) &
             +TsisSV(ikl,isl)
-      IF(isl==0.and.isnoSV(ikl)==0) THEN
+      IF(isl==0.AND.isnoSV(ikl)==0) THEN
        TsisSV(ikl,isl)  = min(TaT_SV(ikl)+30,TsisSV(ikl,isl))
        TsisSV(ikl,isl)  = max(TaT_SV(ikl)-30,TsisSV(ikl,isl))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.f90	(revision 5117)
@@ -22,7 +22,7 @@
   ! +  ================
 
-  use VARphy
-  use VAR_SV
-  use VARxSV
+  USE VARphy
+  USE VAR_SV
+  USE VARxSV
 
   IMPLICIT NONE
@@ -33,5 +33,5 @@
   INTEGER :: istart
 
-  logical :: logWEq
+  LOGICAL :: logWEq
   common/SISVAT_wEq_L/logWEq
 
@@ -84,5 +84,5 @@
   ! +  ======
 
-  !!      IF (istart.eq.1)                                              THEN
+  !!      IF (istart.EQ.1)                                              THEN
   !!        WRITE(45,45)dahost,i___SV(lwriSV(1)),j___SV(lwriSV(1)),
   !!     .              n___SV(lwriSV(1))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zag.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zag.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zag.f90	(revision 5117)
@@ -51,9 +51,9 @@
   ! +  ================
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VAR0SV
-  use VARxSV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VAR0SV
+  USE VARxSV
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zcr.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zcr.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zcr.f90	(revision 5117)
@@ -34,11 +34,11 @@
   ! +  ================
   !
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VAR0SV
-  use VARxSV
-  use VARySV
-  use VARtSV
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VAR0SV
+  USE VARxSV
+  USE VARySV
+  USE VARtSV
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5117)
@@ -46,11 +46,11 @@
 
 
-  use VARphy
-  use VAR_SV
-  use VARdSV
-  use VAR0SV
-  use VARxSV
-  use VARySV
-  use surface_data, ONLY: ok_zsn_ii
+  USE VARphy
+  USE VAR_SV
+  USE VARdSV
+  USE VAR0SV
+  USE VARxSV
+  USE VARySV
+  USE surface_data, ONLY: ok_zsn_ii
 
   IMPLICIT NONE
@@ -598,7 +598,7 @@
   ! + minimum uppermost layer thickness to guarantee a correct reproduction of the snow
   ! + atmosphere coupling
-    IF(dzsnSV(ikl,max(1,isnoSV(ikl)-0))>0.02 .or. & ! surface layers> 2-5-10
-          dzsnSV(ikl,max(1,isnoSV(ikl)-1))>0.05 .or. & ! XF 04/07/2019
-          dzsnSV(ikl,max(1,isnoSV(ikl)-2))>0.10 .or. &
+    IF(dzsnSV(ikl,max(1,isnoSV(ikl)-0))>0.02 .OR. & ! surface layers> 2-5-10
+          dzsnSV(ikl,max(1,isnoSV(ikl)-1))>0.05 .OR. & ! XF 04/07/2019
+          dzsnSV(ikl,max(1,isnoSV(ikl)-2))>0.10 .OR. &
           dzsnSV(ikl,max(1,isnoSV(ikl)-3))>0.30 )THEN
       Agrege(ikl) = min(1, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5117)
@@ -158,10 +158,10 @@
         ! CA initialization
         ! dz_profil_15 : 1 m in 15 layers [m]
-        real, parameter :: dz_profil_15(15) = (/0.005, 0.01, 0.015, 0.02, 0.03, 0.04, 0.05, &
+        REAL, parameter :: dz_profil_15(15) = (/0.005, 0.01, 0.015, 0.02, 0.03, 0.04, 0.05, &
                                                 0.06, 0.07, 0.08, 0.09, 0.1, 0.12, 0.14, 0.17/)
         ! mean_temp : mean annual surface temperature [K]
-        real, dimension(klon) :: mean_temp
+        REAL, DIMENSION(klon) :: mean_temp
         ! mean_dens : mean surface density [kg/m3]
-        real, dimension(klon) :: mean_dens
+        REAL, DIMENSION(klon) :: mean_dens
         ! lat_scale : temperature lapse rate against latitude [K degree-1]
         REAL :: lat_scale
@@ -183,14 +183,14 @@
         ! constants for density profile
         ! C0, C1 : constant, 0.07 for z <= 550 kg m-3
-        real, parameter :: C0 = 0.07
-        real, parameter :: C1 = 0.03
+        REAL, parameter :: C0 = 0.07
+        REAL, parameter :: C1 = 0.03
         ! rho_i : ice density [kg m-3]
-        real, parameter :: rho_ice = 917.
+        REAL, parameter :: rho_ice = 917.
         ! E_c : activation energy [J mol-1]
-        real, parameter :: E_c = 60000.
+        REAL, parameter :: E_c = 60000.
         ! E_g : activation energy [J mol-1]
-        real, parameter :: E_g = 42400.
+        REAL, parameter :: E_g = 42400.
         ! R : gas constant [J mol-1 K-1]
-        real, parameter :: R = 8.3144621
+        REAL, parameter :: R = 8.3144621
 
       
@@ -368,5 +368,5 @@
                 ! with a moist-adiabatic lapse rate of 5 °C km-1 everywhere except for Antarctica,
                 ! for Antarctica, a dry-adiabatic lapse rate of 9.8 °C km-1 is assumed.
-                if (lati > 60.) THEN
+                IF (lati > 60.) THEN
                     ! CA todo : add longitude bounds
                     ! Greenland mean temperature : function of altitude and latitude
@@ -379,5 +379,5 @@
                     ! surface density: Fausto et al. 2018, https://doi.org/10.3389/feart.2018.00051
                     mean_dens(ikl) = 315.
-                else if (lati < -60.) THEN
+                ELSE IF (lati < -60.) THEN
                     ! Antarctica mean temperature : function of altitude and latitude
                     ! for altitudes 0. to 500. m, lat_scale varies from 1.3 to 0.6 °C °lat-1
@@ -463,5 +463,5 @@
                     rho0 = exp(E0 * depth) / (rho_ice / mean_dens(ikl) - 1 + exp(E0 * depth)) * rho_ice
                     rho1 = exp(E1 * depth) / (rho_ice / mean_dens(ikl) - 1 + exp(E1 * depth)) * rho_ice
-                    if (depth <= z550) THEN
+                    IF (depth <= z550) THEN
                         ro__SV(ikl, isl) = exp(E0 * depth) / (rho_ice / mean_dens(ikl) - 1 + exp(E0 * depth)) * rho_ice
                     else
@@ -553,5 +553,5 @@
             ! => Upper bound for eroded snow mass
             !        uss_SV(ikl) = SLussl(i,j,n) ! u*qs* (only for Tv in sisvatesbl.f)
-            ! #BS  IF(dsn_SV(ikl)>eps12.and.erprev(i,j,n).gt.eps9) THEN
+            ! #BS  IF(dsn_SV(ikl)>eps12.AND.erprev(i,j,n).gt.eps9) THEN
             ! #BS    dsnbSV(ikl) =1.0-min(qsHY(i,j,kB)     !BS neglib. at kb ~100 magl)
             ! #BS.                        /max(qshy(i,j,mz),eps9),unun)
@@ -560,5 +560,5 @@
             ! #BS  else
             ! #BS    dsnbSV(ikl) = 0.
-            ! #BS  endif
+            ! #BS  ENDIF
             !      dsnbSV is the drift fraction of deposited snow updated in sisvat.f
             !      will be used for characterizing the Buffer Layer
@@ -586,5 +586,5 @@
             ! +--Energy Fluxes                                          (INPUT/OUTPUT)
             ! +  ^^^^^^^^^^^^^                                           ^^^^^^^^^^^^
-            !IF (.not.firstcall) THEN
+            !IF (.NOT.firstcall) THEN
             Tsrfsv(ikl)  = tsurf(ikl)                     !hj 12 03 2010
             cld_SV(ikl) = cloudf(ikl)                    ! Cloudiness
@@ -932,5 +932,5 @@
         !c #kd END IF
 
-        !      IF (nsol.ne.4)                                              THEN
+        !      IF (nsol.NE.4)                                              THEN
         !        DO isl= 0,-nsol,-1
         !          misl_2 =     -mod(isl,2)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5117)
@@ -4,6 +4,6 @@
 MODULE iophy
 
-! abd  REAL,PRIVATE,allocatable,DIMENSION(:),save :: io_lat
-! abd  REAL,PRIVATE,allocatable,DIMENSION(:),save :: io_lon
+! abd  REAL,PRIVATE,ALLOCATABLE,DIMENSION(:),save :: io_lat
+! abd  REAL,PRIVATE,ALLOCATABLE,DIMENSION(:),save :: io_lon
   REAL,ALLOCATABLE,DIMENSION(:),SAVE :: io_lat
   REAL,ALLOCATABLE,DIMENSION(:),SAVE :: io_lon
@@ -44,5 +44,5 @@
   USE lmdz_print_control, ONLY: prt_level,lunout
     USE ioipsl, ONLY: flio_dom_set
-  use wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init, using_xios
+  USE lmdz_wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init, using_xios
     IMPLICIT NONE
     REAL,DIMENSION(klon),INTENT(IN) :: rlon
@@ -62,5 +62,5 @@
     INTEGER :: data_ibegin, data_iend
 
-    if (using_xios)  CALL wxios_context_init
+    IF (using_xios)  CALL wxios_context_init
     
 
@@ -211,5 +211,5 @@
   USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
   USE ioipsl, ONLY: histbeg
-  USE wxios, ONLY: wxios_add_file, using_xios
+  USE lmdz_wxios, ONLY: wxios_add_file, using_xios
   IMPLICIT NONE
   INCLUDE 'clesphys.h'
@@ -237,5 +237,5 @@
     IF((.NOT. is_using_mpi) .OR. is_mpi_root) THEN
         ! ug Création du fichier
-      IF (.not. ok_all_xml) THEN
+      IF (.NOT. ok_all_xml) THEN
         CALL wxios_add_file(name, ffreq, lev)
       ENDIF
@@ -294,5 +294,5 @@
     REAL,INTENT(IN) :: dtime
     INTEGER, INTENT(IN) :: pim
-    INTEGER, intent(out) :: nnhori
+    INTEGER, INTENT(OUT) :: nnhori
     CHARACTER(len=20), INTENT(IN) :: nname
     INTEGER, INTENT(OUT) :: nnid_day
@@ -303,5 +303,5 @@
     REAL,DIMENSION(pim), INTENT(IN) :: plat, plon
     INTEGER,DIMENSION(pim), INTENT(IN) :: ipt, jpt
-    REAL,DIMENSION(pim,2), intent(out) :: plat_bounds, plon_bounds
+    REAL,DIMENSION(pim,2), INTENT(OUT) :: plat_bounds, plon_bounds
 
     INTEGER, SAVE :: tabprocbeg, tabprocend
@@ -310,6 +310,6 @@
     INTEGER, PARAMETER :: nip=1
     INTEGER :: npproc
-    REAL, allocatable, DIMENSION(:) :: npplat, npplon
-    REAL, allocatable, DIMENSION(:,:) :: npplat_bounds, npplon_bounds
+    REAL, ALLOCATABLE, DIMENSION(:) :: npplat, npplon
+    REAL, ALLOCATABLE, DIMENSION(:,:) :: npplat_bounds, npplon_bounds
     REAL, DIMENSION(nbp_lon,nbp_lat) :: zx_lon, zx_lat
 
@@ -348,5 +348,5 @@
 
     ENDDO
-    if (is_sequential) THEN
+    IF (is_sequential) THEN
      npstn=pim
      IF(.NOT. ALLOCATED(nptabij)) THEN
@@ -589,5 +589,5 @@
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE aero_mod, ONLY: naero_tot, name_aero_tau
-    USE wxios, ONLY: wxios_add_field_to_file, using_xios
+    USE lmdz_wxios, ONLY: wxios_add_field_to_file, using_xios
     USE lmdz_print_control, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -630,5 +630,5 @@
 
       IF (using_xios) THEN  
-        IF (.not. ok_all_xml) THEN
+        IF (.NOT. ok_all_xml) THEN
           IF ( var%flag(iff)<=lev_files(iff) ) THEN
             CALL wxios_add_field_to_file(var%name, 2, iff, phys_out_filenames(iff), &
@@ -704,5 +704,5 @@
     USE lmdz_print_control, ONLY: prt_level,lunout
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    USE wxios, ONLY: wxios_add_field_to_file, using_xios
+    USE lmdz_wxios, ONLY: wxios_add_field_to_file, using_xios
     USE lmdz_print_control, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -745,5 +745,5 @@
       IF (using_xios) THEN  
 
-        IF (.not. ok_all_xml) THEN
+        IF (.NOT. ok_all_xml) THEN
           IF ( var%flag(iff)<=lev_files(iff) ) THEN
           CALL wxios_add_field_to_file(var%name, 3, iff, phys_out_filenames(iff), &
@@ -819,5 +819,5 @@
     REAL,DIMENSION(:),INTENT(IN) :: field
     REAL,DIMENSION(klon_mpi) :: buffer_omp
-    INTEGER, allocatable, DIMENSION(:) :: index2d
+    INTEGER, ALLOCATABLE, DIMENSION(:) :: index2d
     REAL :: Field2d(nbp_lon,jj_nb)
 
@@ -889,5 +889,5 @@
     INTEGER :: ip, n, nlev
     INTEGER, ALLOCATABLE, DIMENSION(:) :: index3d
-    REAL,allocatable, DIMENSION(:,:) :: fieldok
+    REAL,ALLOCATABLE, DIMENSION(:,:) :: fieldok
 
     IF (check_dim .AND. is_master) WRITE(lunout,*)'histwrite3d_phy_old for ', name
@@ -969,5 +969,5 @@
 
   REAL,DIMENSION(klon_mpi) :: buffer_omp
-  INTEGER, allocatable, DIMENSION(:) :: index2d
+  INTEGER, ALLOCATABLE, DIMENSION(:) :: index2d
   REAL :: Field2d(nbp_lon,jj_nb)
 
@@ -995,7 +995,7 @@
 !$OMP MASTER
       !Si phase de définition.... on définit
-      IF (.not. ok_all_xml) THEN
+      IF (.NOT. ok_all_xml) THEN
       IF (prt_level >= 10) THEN
-      WRITE(lunout,*)"histwrite2d_phy: .not.vars_defined ; time to define ", &
+      WRITE(lunout,*)"histwrite2d_phy: .NOT.vars_defined ; time to define ", &
                      trim(var%name)
       ENDIF
@@ -1021,5 +1021,5 @@
         !$omp end master
         !$omp barrier
-        IF(.not. is_active) RETURN
+        IF(.NOT. is_active) RETURN
       ENDIF
     ENDIF
@@ -1030,5 +1030,5 @@
          'Field first DIMENSION not equal to klon/klev',1)
     IF (prt_level >= 10) THEn
-      WRITE (lunout,*)"histwrite2d_phy: .not.vars_defined ; time to gather and write ", trim(var%name)
+      WRITE (lunout,*)"histwrite2d_phy: .NOT.vars_defined ; time to gather and write ", trim(var%name)
     ENDIF
     
@@ -1220,5 +1220,5 @@
         !$omp end master
         !$omp barrier
-        IF(.not. is_active) RETURN
+        IF(.NOT. is_active) RETURN
       ENDIF
     ENDIF
@@ -1373,5 +1373,5 @@
       
   REAL,DIMENSION(klon_mpi) :: buffer_omp
-  INTEGER, allocatable, DIMENSION(:) :: index2d
+  INTEGER, ALLOCATABLE, DIMENSION(:) :: index2d
   REAL :: Field2d(nbp_lon,jj_nb)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5117)
@@ -47,11 +47,11 @@
 
 ! Arguments on input:
-      integer lllm
-      character (len=*) :: nom,titre,unite
-      integer imjmax
+      INTEGER lllm
+      CHARACTER (LEN=*) :: nom,titre,unite
+      INTEGER imjmax
       parameter (imjmax=100000)
-      real px(klon_omp,lllm)
-      real xglo(klon_glo,lllm)
-      real zx(nbp_lon,nbp_lat,lllm)
+      REAL px(klon_omp,lllm)
+      REAL xglo(klon_glo,lllm)
+      REAL zx(nbp_lon,nbp_lat,lllm)
 
 
@@ -138,5 +138,5 @@
 !   -------------
 
-real pi
+REAL pi
 INTEGER nlat_eff
 INTEGER jour0,mois0,an0
@@ -224,11 +224,11 @@
 
 ! Arguments on input:
-      integer lllm
-      character (len=*) :: nom,titre,unite
-      integer imjmax
+      INTEGER lllm
+      CHARACTER (LEN=*) :: nom,titre,unite
+      INTEGER imjmax
       parameter (imjmax=100000)
-      real px(imjmax*lllm)
-      real, allocatable :: zx(:,:,:)
-      integer i,j,l,ijl
+      REAL px(imjmax*lllm)
+      REAL, ALLOCATABLE :: zx(:,:,:)
+      INTEGER i,j,l,ijl
 
       allocate(zx(imax,jmax,lllm))
@@ -249,5 +249,5 @@
          enddo
          ! Pole sud
-         if ( jmax > 1 ) THEN
+         IF ( jmax > 1 ) THEN
             ijl=ijl+1
             do i=1,imax
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd.h	(revision 5117)
@@ -10,9 +10,9 @@
 !=======================================================================
 
-      integer imax,jmax,lmax,nid
+      INTEGER imax,jmax,lmax,nid
       INTEGER dim_coord(4)
-      real iotd_ts,iotd_t0
+      REAL iotd_ts,iotd_t0
       INTEGER :: n_names_iotd_def
-      character*20, dimension(200) :: names_iotd_def
+      character*20, DIMENSION(200) :: names_iotd_def
       character*20 :: un_nom
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5117)
@@ -32,9 +32,9 @@
 
 ! Arguments on input:
-      integer llm
-      character (len=*) :: nom,titre,unite
-      integer imjmax
+      INTEGER llm
+      CHARACTER (LEN=*) :: nom,titre,unite
+      INTEGER imjmax
       parameter (imjmax=100000)
-      real px(imjmax*llm)
+      REAL px(imjmax*llm)
 
 ! Local variables:
@@ -44,9 +44,9 @@
 
 
-      integer ierr,ndim,dim_cc(4)
-      integer iq
-      integer i,j,l
+      INTEGER ierr,ndim,dim_cc(4)
+      INTEGER iq
+      INTEGER i,j,l
 
-      integer zitau
+      INTEGER zitau
       character firstnom*20
       SAVE firstnom
@@ -57,13 +57,13 @@
 
 ! Ajouts
-      integer, save :: ntime=0
+      INTEGER, save :: ntime=0
       INTEGER :: idim,varid
-      character (len =50):: fichnom
-      integer, dimension(4) :: id
-      integer, dimension(4) :: edges,corner
+      CHARACTER (LEN =50):: fichnom
+      INTEGER, DIMENSION(4) :: id
+      INTEGER, DIMENSION(4) :: edges,corner
       
 
 
-       if (n_names_iotd_def>0 .and..not.any(names_iotd_def==nom)) RETURN
+       IF (n_names_iotd_def>0 .and..not.any(names_iotd_def==nom)) RETURN
 !***************************************************************
 ! Initialisation of 'firstnom' and create/open the "diagfi.nc" NetCDF file
@@ -83,5 +83,5 @@
 
         zx(1:imax*jmax*llm)=px(1:imax*jmax*llm)
-        if (firstnom =='1234567890') THEN
+        IF (firstnom =='1234567890') THEN
             firstnom=nom
         endif
@@ -90,5 +90,5 @@
 
 !! Quand on tombe sur la premiere variable on ajoute un pas de temps
-        if (nom==firstnom) THEN
+        IF (nom==firstnom) THEN
         ! We have identified a "first call" (at given date)
 
@@ -114,5 +114,5 @@
 !        PRINT*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
 
-           if (ierr/=nf90_noerr) THEN
+           IF (ierr/=nf90_noerr) THEN
               WRITE(*,*) "***** PUT_VAR matter in writediagfi_nc"
               WRITE(*,*) "***** with time"
@@ -121,10 +121,10 @@
 
 !          WRITE(6,*)'WRITEDIAGFI: date= ', date
-        end if ! of if (nom.eq.firstnom)
+        end if ! of if (nom.EQ.firstnom)
 
 
 !Case of a 3D variable
 !---------------------
-        if (llm==lmax) THEN
+        IF (llm==lmax) THEN
            ndim=4
            corner(1)=1
@@ -142,5 +142,5 @@
 !---------------------
 
-        else if (llm==1) THEN
+        ELSE IF (llm==1) THEN
            ndim=3
            corner(1)=1
@@ -160,5 +160,5 @@
 !-----------------------------------------------
 
-      if (ntime==1) THEN
+      IF (ntime==1) THEN
           ierr = nf90_redef (nid)
           ierr = nf90_def_var(nid,nom,nf90_float,dim_cc,varid)
@@ -175,5 +175,5 @@
       ierr= nf90_put_var(nid,varid,zx,corner,edges)
 
-      if (ierr/=nf90_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
            WRITE(*,*) "***** PUT_VAR problem in writediagfi"
            WRITE(*,*) "***** with ",nom
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_fin.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_fin.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_fin.F90	(revision 5117)
@@ -16,5 +16,5 @@
 
   INCLUDE "iotd.h"
-  integer ierr
+  INTEGER ierr
 
   !   Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5117)
@@ -23,13 +23,13 @@
 !   ----------
 
-      integer iim,jjm,llm
-      real prlon(iim),prlat(jjm),pcoordv(llm),timestep,t0
+      INTEGER iim,jjm,llm
+      REAL prlon(iim),prlat(jjm),pcoordv(llm),timestep,t0
       INTEGER id_FOCE
       INTEGER jour0,mois0,an0
       CHARACTER*(*) calendrier
 
-      integer corner(4),edges(4),ndim
+      INTEGER corner(4),edges(4),ndim
       real  px(1000)
-      character (len=10) :: nom
+      CHARACTER (LEN=10) :: nom
       real(kind=4) rlon(iim),rlat(jjm),coordv(llm)
 
@@ -43,9 +43,9 @@
 
       INTEGER :: nvarid
-      integer, dimension(2) :: id  
+      INTEGER, DIMENSION(2) :: id
 
       character*(*) fichnom
 
-      real pi
+      REAL pi
 
       iotd_ts=timestep
@@ -72,9 +72,9 @@
       n_names_iotd_def=0
       open(99,file='iotd.def',form='formatted',status='old',iostat=ierr)
-         if ( ierr==0 ) THEN
+         IF ( ierr==0 ) THEN
             ierr=0
             do while (ierr==0)
                read(99,*,iostat=ierr) un_nom
-               if (ierr==0) THEN
+               IF (ierr==0) THEN
                   n_names_iotd_def=n_names_iotd_def+1
                   names_iotd_def(n_names_iotd_def)=un_nom
@@ -128,5 +128,5 @@
       ierr=nf90_def_var(nid, "lev", nf90_float,dim_coord(3),nvarid)
       ierr=nf90_put_att(nid,nvarid,"long_name","vert level")
-      if ( coordv(2)>coordv(1) ) THEN
+      IF ( coordv(2)>coordv(1) ) THEN
          ierr=nf90_put_att(nid,nvarid,"long_name","pseudo-alt")
          ierr=nf90_put_att(nid,nvarid,'positive',"up")
